Get scrobbles all scrobbles
curl --request GET \
--url https://api.rocksky.app/xrpc/app.rocksky.scrobble.getScrobbles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rocksky.app/xrpc/app.rocksky.scrobble.getScrobbles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rocksky.app/xrpc/app.rocksky.scrobble.getScrobbles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"scrobbles": [
{
"id": "<string>",
"user": "<string>",
"userDisplayName": "<string>",
"userAvatar": "<string>",
"title": "<string>",
"artist": "<string>",
"artistUri": "<string>",
"album": "<string>",
"albumUri": "<string>",
"cover": "<string>",
"date": "2023-11-07T05:31:56Z",
"uri": "<string>",
"sha256": "<string>",
"liked": true,
"likesCount": 123
}
]
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<unknown>",
"message": "<string>"
}app.rocksky.scrobble
Get scrobbles all scrobbles
GET
/
app.rocksky.scrobble.getScrobbles
Get scrobbles all scrobbles
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The DID or handle of the actor
If true, only return scrobbles from actors the viewer is following.
The maximum number of scrobbles to return
Required range:
x >= 1The offset for pagination
Required range:
x >= 0Response
OK
Show child attributes
Show child attributes
⌘I